--
-- CobreSujidadeRodaFrenteDireita
--
-- @Hugo94Fr
-- @23/09/2015

CobreSujidadeRodaFrenteDireita = {};

CobreSujidadeRodaFrenteDireita.modDir = g_currentModDirectory;

function CobreSujidadeRodaFrenteDireita.prerequisitesPresent(specializations)
    return true; 
end;

function CobreSujidadeRodaFrenteDireita:load(xmlFile)

	self.AnimacaoSujidadeDireita = SpecializationUtil.callSpecializationsFunction("AnimacaoSujidadeDireita"); 
	
	self.SujidadeDireita = {};
	
	local trigger = Utils.indexToObject( self.components, getXMLString(xmlFile, string.format("vehicle.CobreSujidadeRodaFrenteDireita#trigger")) );
	if trigger == nil then
		print("[Error::CobreSujidadeRodaFrenteDireita] Falta dizer onde se encontra o Trigger no XML."..tostring(i+1).." no seu vehicle.xml");
	end;
	
	local SujidadeES = getXMLInt(xmlFile, string.format("vehicle.CobreSujidadeRodaFrenteDireita#SujidadeD", i));
	
	self.SujidadeDireita.SujidadeES = SujidadeES;
	self.SujidadeDireita.trigger = trigger;
	self.SujidadeDireita.TMP = false;
		
	addTrigger( trigger, "AnimacaoSujidadeDireita", self );				
	
end;

function CobreSujidadeRodaFrenteDireita:delete()
	if self.SujidadeDireita.trigger ~= nil then
		removeTrigger(self.SujidadeDireita.trigger);
	end;
end;

function CobreSujidadeRodaFrenteDireita:readStream(streamId, connection)
end;

function CobreSujidadeRodaFrenteDireita:writeStream(streamId, connection)
end;

function CobreSujidadeRodaFrenteDireita:mouseEvent(posX, posY, isDown, isUp, button)
end;

function CobreSujidadeRodaFrenteDireita:keyEvent(unicode, sym, modifier, isDown)
end;

function CobreSujidadeRodaFrenteDireita:update(dt)
	
	if self.SujidadeDireita.TMP then
		g_currentMission:addHelpButtonText( g_i18n:getText("CobreSujidadeRodaFrenteDireita"), InputBinding.CobreSujidadeRodaFrenteDireita );	
		setTextColor(1.0, 1.0, 1.0, 1.0);
		setTextAlignment(RenderText.ALIGN_RIGHT); 				
		renderText( 1.0, 0.75, 0.035, g_i18n:getText("CobreSujidadeRodaFrenteDireita") );
		if InputBinding.hasEvent(InputBinding.CobreSujidadeRodaFrenteDireita)then
			local obj = self.interactiveObjects[self.SujidadeDireita.SujidadeES];
			if obj ~= nil then
				self:doActionOnObject(self.SujidadeDireita.SujidadeES);
			end;
		end
	end;
end;

function CobreSujidadeRodaFrenteDireita:onLeave()
end;

function CobreSujidadeRodaFrenteDireita:draw()
end;

function CobreSujidadeRodaFrenteDireita:AnimacaoSujidadeDireita(triggerId, otherId, onEnter, onLeave, onStay)
	
	if onEnter and g_currentMission.controlPlayer and g_currentMission.player ~= nil and otherId == g_currentMission.player.rootNode then
		self.SujidadeDireita.TMP = true;
	elseif onLeave and g_currentMission.player ~= nil and otherId == g_currentMission.player.rootNode then
		self.SujidadeDireita.TMP = false;
	end;
	
end;

